:root {
    --color-primary: #0080FF;
    --animate-delay: 0.5s;
}

.banner-image {
    background: var(--color-primary);
    background: -webkit-linear-gradient(115deg, #00000000, #00000065) var(--color-primary);
    background: linear-gradient(115deg, #00000000, #00000065) var(--color-primary);

}

.banner-mask {
    background-color: transparent;
}

@media screen and (max-width: 540px) {
    .editor_js--embed > iframe {
        min-height: 273px;
    }
}

b.highlight {
    color: var(--color-primary);
}

.index__channel_cards > .index__channel_card:nth-child(3n):before,
.index__channel_cards > .index__channel_card:nth-child(3n - 1)::before {
    content: '';
    height: 40%;
    left: -1rem;
    width: 1px;
    top: 50%;
    position: absolute;
    background: #eaeaea;
    transform: translateY(-50%);
}

@media screen and (min-width: 1024px) {
    .index__channel_card:before,
    .index__channel_card:after {
        left: -1.5rem;
    }
}

@media screen and (max-width: 1280px) {
    .index__channel_card:before,
    .index__channel_card:after {
        content: unset !important;
    }
}

.page-tree--subtree {
    display: none;
    padding-left: 1.25rem;
}

.page-tree--node[data-is-open='true'] > .page-tree--subtree {
    display: block;
}

.channel:not(.fold) .fa {
    transform: rotate(90deg);
}

.page-tree {
    font-size: 0.9rem;
}

.page-tree--icon {
    cursor: pointer;
}

.breadcrumb-item + .breadcrumb-item::before {
    float: left;
    padding-right: 0.5rem;
    color: rgb(158, 158, 158);
    content: '/';
}

.breadcrumb-item {
    font-size: 0.8rem;
    padding-right: 0.5rem;
    color: rgb(158, 158, 158);
}

.breadcrumb-item.active {
    color: rgb(80, 80, 80);
}

.breadcrumb-item a:hover {
    color: var(--color-primary);
}

.page-tree--node {
    padding: 0.55rem 0;
}

.page-tree--node.channel[data-is-open="true"] > .page-tree--subtree > .page-tree--node:last-child {
    padding-bottom: 0 !important;
}

.page-tree--node.active > a,
.page-tree--node.active > div > a,
.page-tree--node.active > div > button > svg {
    color: var(--color-primary);
}

.page-tree--node::before,
.page-tree--subtree::before {
    content: '';
    position: absolute;
    left: 11.5px;
    height: 100%;
    width: 1px;
    top: 0;
    background-color: #eaeaea;
}

.page-tree > .page-tree--node::before,
.page-tree > .page-tree--subtree::before {
    width: 0;
}

.pagination {
    display: flex;
    align-items: center;
}

.page-item {
    margin-right: 0.5rem;
    font-size: 0.85rem;
    padding: 0.25rem 0.5rem;
}

.page-item.active {
    color: var(--color-primary);
    padding: 0.25rem 0.5rem;
}

.page-tree__content {
    max-height: calc(100vh - 9rem);
    overflow-y: auto;
    overflow-x: hidden;
}

.min-h-screen {
    min-height: 100vh;
}

#page-tree {
    overflow-y: scroll;
    /* height: calc(100vh - 2rem); */
}

#page-tree-phone {
    height: calc(100vh - 5rem);
}

.article__content_list > li.active {
    border-color: var(--color-primary);
}

.article__content_list > li.active a {
    color: var(--color-primary);
}

.text-shadow {
    text-shadow: 1px 1px 1px #737171;
}

@media screen and (min-width: 640px) {
    .text-shadow {
        text-shadow: none;
    }
}

.sticky-sidebar-overflow {
    width: 250px;
}

@media screen and (max-width: 1450px) {
    .sticky-sidebar-overflow {
        width: 200px;
    }
}

@media screen and (max-width: 1120px) {
    .sticky-sidebar-overflow {
        width: 100px;
    }
}

#page-tree {
    color: rgba(0, 0, 0, 0.1);
    text-shadow: 0 0 #303030;
    transition: color 0.5s ease;
}

#page-tree a.active {
    text-shadow: 0 0 rgba(0, 0, 0, 0);
}

#page-tree:hover {
    color: rgba(0, 0, 0, 0.3);
}

#page-tree::-webkit-scrollbar,
#page-tree::-webkit-scrollbar-thumb {
    width: 8px;
    border-radius: 2px;
    background-clip: padding-box;
    border: 2px solid transparent;
    transition: color 0.25s ease;
}

#page-tree::-webkit-scrollbar {
    width: 7px;
    background-color: #f6f6f6;
}

#page-tree::-webkit-scrollbar-thumb {
    box-shadow: inset 0 0 0 10px;
}

.tips {
    height: calc(100vh - 55px);
    width: 100%;
    position: absolute;
    top: 63px;
    background: rgba(128, 128, 128, 0.9);
    z-index: 99;
}

.drop-search {
    height: 68px;
    width: 100%;
    position: fixed;
    background: rgba(193, 193, 193, 0.6);
    z-index: 99;
    --animate-duration: 0.5s;
}

.drop-search-close {
    position: absolute;
    right: 3rem;
    top: 1rem;
}

.tenant_contact {
    display: none;
}

.page-tree--node.article {
    position: relative;
}

.page-tree--node.article > a {
    padding-left: 1.5rem;
}

.page-tree--node.active > a > .page-tree--nav__article_point {
    display: flex;
}

.page-tree--node.channel[data-is-open="true"]
> div
> button
> svg {
    -webkit-transform: rotate(90deg);
    -moz-transform: rotate(90deg);
    transform: rotate(90deg);
}

#content ul {
    list-style-type: disc;
    list-style-position: inside;
}

#content ol {
    list-style-type: decimal;
    list-style-position: inside;
}

.footer__contact {
    max-width: 280px;
}

.editor_js--embed {
    margin-top: 1.5rem;
}

.index__channel_card_icon {
    font-size: 1.125rem;
}

@media screen and (max-width: 540px) {
    .editor_js--embed > iframe {
        height: auto;
        min-height: 270px;
    }
}

.navbar-brand {
    min-height: 2rem;
}

.page--banner__title {
    color: inherit;
}

.page--nav__phone {
    font-size: 0.9rem;
    color: rgb(48, 48, 48);
}

.page--nav__phone .fa {
    color: rgb(114, 114, 116) !important;
}

@media (min-width: 1280px) {
    .xl\:h-102 {
        height: 28rem;
    }
}

.hover\:scale-101:hover {
    --tw-scale-x: 1.01;
    --tw-scale-y: 1.01;
}

.page--channel__card_ch:nth-child(2n)::before {
    content: '';
    height: 40%;
    left: -8px;
    width: 1px;
    top: 50%;
    position: absolute;
    background: #eaeaea;
    transform: translateY(-50%);
}

.page-tree--icon {
    min-width: 1.25rem;
    min-height: 1.25rem;
}

.turbo-progress-bar {
    height: 3px;
    background-color: var(--color-primary);
}

.page--nav__search svg {
    height: 14px;
}

.animate__faster {
    --animate-duration: 0.5s;
}

.animate__fast {
    --animate-duration: 0.8s;
}

.page--hide_icon {
    display: none;
}

.page--nav__search.opened > .page--open_icon {
    display: none;
}

.page--nav__search.opened > .page--hide_icon {
    display: block;
}

[data-controller~='sticky-sidebar'] .inner-wrapper-sticky:before {
    content: '';
    z-index: 9;
    position: absolute;
    width: calc(100% - 0.75rem);
    height: 35px;
    background-image: linear-gradient(rgb(255, 255, 255), rgba(255, 255, 255, 0));
}

.page--title_point {
    top: 0.425rem;
}

.page--footer__link {
    font-size: 0.825rem;
}

.page--footer_title {
    font-size: 0.95rem;
}

.page--channel__card_y_border_around::before {
    right: 0;
    top: 0;
}

.page--channel__card_y_border_around::after {
    left: 0;
    bottom: 0;
}

.page--channel__card_y_border_around::before,
.page--channel__card_y_border_around::after {
    content: "";
    width: 0;
    height: 1px;
    background: var(--color-primary);
    position: absolute;
    transition-delay: 0.2s;
    transition: all 0.2s linear;
}

.page--channel__card_ch:hover .page--channel__card_y_border_around::before,
.page--channel__card_ch:hover .page--channel__card_y_border_around::after {
    transition-delay: 0s;
    width: 100%;
}

.page--channel__card_x_border_around:before {
    left: 0;
    top: 0;
}

.page--channel__card_x_border_around:after {
    right: 0;
    bottom: 0;
}

.page--channel__card_x_border_around::before,
.page--channel__card_x_border_around::after {
    content: "";
    width: 1px;
    height: 0;
    position: absolute;
    transition-delay: 0s;
    transition: all 0.2s linear;
    background: var(--color-primary);
}

.page--channel__card_ch:hover .page--channel__card_x_border_around::before,
.page--channel__card_ch:hover .page--channel__card_x_border_around::after {
    height: 100%;
    transition-delay: 0.2s;
}

.editor_js--table table tbody td {
    word-wrap: break-word;
}

#article_body a {
    color: var(--color-primary);
}

.editor_js--code {
    font-size: 0.75rem;
}

.bg-center {
    margin-top: 50px;
}

.search-container {
    margin-top: 99px;
}

.article-container {
    margin-top: 129px;
}

.column-container {
    margin-top: 129px;
}

:root {
    --color-primary: #0080FF;
    --animate-delay: 0.5s;
}

.banner-image {
    background: var(--color-primary);
    background: -webkit-linear-gradient(115deg, #00000000, #00000065) var(--color-primary);
    background: linear-gradient(115deg, #00000000, #00000065) var(--color-primary);

}

.banner-mask {
    background-color: transparent;
}

@media screen and (max-width: 540px) {
    .editor_js--embed > iframe {
        min-height: 273px;
    }
}

b.highlight {
    color: var(--color-primary);
}

.index__channel_cards > .index__channel_card:nth-child(3n):before,
.index__channel_cards > .index__channel_card:nth-child(3n - 1)::before {
    content: '';
    height: 40%;
    left: -1rem;
    width: 1px;
    top: 50%;
    position: absolute;
    background: #eaeaea;
    transform: translateY(-50%);
}

@media screen and (min-width: 1024px) {
    .index__channel_card:before,
    .index__channel_card:after {
        left: -1.5rem;
    }
}

@media screen and (max-width: 1280px) {
    .index__channel_card:before,
    .index__channel_card:after {
        content: unset !important;
    }
}

.page-tree--subtree {
    display: none;
    padding-left: 1.25rem;
}

.page-tree--node[data-is-open='true'] > .page-tree--subtree {
    display: block;
}

.channel:not(.fold) .fa {
    transform: rotate(90deg);
}

.page-tree {
    font-size: 0.9rem;
}

.page-tree--icon {
    cursor: pointer;
}

.breadcrumb-item + .breadcrumb-item::before {
    float: left;
    padding-right: 0.5rem;
    color: rgb(158, 158, 158);
    content: '/';
}

.breadcrumb-item {
    font-size: 0.8rem;
    padding-right: 0.5rem;
    color: rgb(158, 158, 158);
}

.breadcrumb-item.active {
    color: rgb(80, 80, 80);
}

.breadcrumb-item a:hover {
    color: var(--color-primary);
}

.page-tree--node {
    padding: 0.55rem 0;
}

.page-tree--node.channel[data-is-open="true"] > .page-tree--subtree > .page-tree--node:last-child {
    padding-bottom: 0 !important;
}

.page-tree--node.active > a,
.page-tree--node.active > div > a,
.page-tree--node.active > div > button > svg {
    color: var(--color-primary);
}

.page-tree--node::before,
.page-tree--subtree::before {
    content: '';
    position: absolute;
    left: 11.5px;
    height: 100%;
    width: 1px;
    top: 0;
    background-color: #eaeaea;
}

.page-tree > .page-tree--node::before,
.page-tree > .page-tree--subtree::before {
    width: 0;
}

.pagination {
    display: flex;
    align-items: center;
}

.page-item {
    margin-right: 0.5rem;
    font-size: 0.85rem;
    padding: 0.25rem 0.5rem;
}

.page-item.active {
    color: var(--color-primary);
    padding: 0.25rem 0.5rem;
}

.page-tree__content {
    max-height: calc(100vh - 9rem);
    overflow-y: auto;
    overflow-x: hidden;
}

.min-h-screen {
    min-height: 100vh;
}

#page-tree {
    overflow-y: scroll;
    /* height: calc(100vh - 2rem); */
}

#page-tree-phone {
    height: calc(100vh - 5rem);
}

.article__content_list > li.active {
    border-color: var(--color-primary);
}

.article__content_list > li.active a {
    color: var(--color-primary);
}

.text-shadow {
    text-shadow: 1px 1px 1px #737171;
}

@media screen and (min-width: 640px) {
    .text-shadow {
        text-shadow: none;
    }
}

.sticky-sidebar-overflow {
    width: 250px;
}

@media screen and (max-width: 1450px) {
    .sticky-sidebar-overflow {
        width: 200px;
    }
}

@media screen and (max-width: 1120px) {
    .sticky-sidebar-overflow {
        width: 100px;
    }
}

#page-tree {
    color: rgba(0, 0, 0, 0.1);
    text-shadow: 0 0 #303030;
    transition: color 0.5s ease;
}

#page-tree a.active {
    text-shadow: 0 0 rgba(0, 0, 0, 0);
}

#page-tree:hover {
    color: rgba(0, 0, 0, 0.3);
}

#page-tree::-webkit-scrollbar,
#page-tree::-webkit-scrollbar-thumb {
    width: 8px;
    border-radius: 2px;
    background-clip: padding-box;
    border: 2px solid transparent;
    transition: color 0.25s ease;
}

#page-tree::-webkit-scrollbar {
    width: 7px;
    background-color: #f6f6f6;
}

#page-tree::-webkit-scrollbar-thumb {
    box-shadow: inset 0 0 0 10px;
}

.tips {
    height: calc(100vh - 55px);
    width: 100%;
    position: absolute;
    top: 63px;
    background: rgba(128, 128, 128, 0.9);
    z-index: 99;
}

.drop-search {
    height: 68px;
    width: 100%;
    position: fixed;
    background: rgba(193, 193, 193, 0.6);
    z-index: 99;
    --animate-duration: 0.5s;
}

.drop-search-close {
    position: absolute;
    right: 3rem;
    top: 1rem;
}

.tenant_contact {
    display: none;
}

.page-tree--node.article {
    position: relative;
}

.page-tree--node.article > a {
    padding-left: 1.5rem;
}

.page-tree--node.active > a > .page-tree--nav__article_point {
    display: flex;
}

.page-tree--node.channel[data-is-open="true"]
> div
> button
> svg {
    -webkit-transform: rotate(90deg);
    -moz-transform: rotate(90deg);
    transform: rotate(90deg);
}

#content ul {
    list-style-type: disc;
    list-style-position: inside;
}

#content ol {
    list-style-type: decimal;
    list-style-position: inside;
}

.footer__contact {
    max-width: 280px;
}

.editor_js--embed {
    margin-top: 1.5rem;
}

.index__channel_card_icon {
    font-size: 1.125rem;
}

@media screen and (max-width: 540px) {
    .editor_js--embed > iframe {
        height: auto;
        min-height: 270px;
    }
}

.navbar-brand {
    min-height: 2rem;
}

.page--banner__title {
    color: inherit;
}

.page--nav__phone {
    font-size: 0.9rem;
    color: rgb(48, 48, 48);
}

.page--nav__phone .fa {
    color: rgb(114, 114, 116) !important;
}

@media (min-width: 1280px) {
    .xl\:h-102 {
        height: 28rem;
    }
}

.hover\:scale-101:hover {
    --tw-scale-x: 1.01;
    --tw-scale-y: 1.01;
}

.page--channel__card_ch:nth-child(2n)::before {
    content: '';
    height: 40%;
    left: -8px;
    width: 1px;
    top: 50%;
    position: absolute;
    background: #eaeaea;
    transform: translateY(-50%);
}

.page-tree--icon {
    min-width: 1.25rem;
    min-height: 1.25rem;
}

.page--article__link {
    border-bottom: 1px solid rgb(240, 240, 240);
}

.page--article__link:hover {
    text-decoration: none !important;
}

.page--article__link::after {
    position: absolute;
    transition: 0.3s;
    content: '';
    width: 0;
    left: 50%;
    bottom: -0.5px;
    height: 1px;
    background: var(--color-primary);
}

.page--article__link:hover::after {
    width: 100%;
    left: 0;
}

.turbo-progress-bar {
    height: 3px;
    background-color: var(--color-primary);
}

.page--nav__search svg {
    height: 14px;
}

.animate__faster {
    --animate-duration: 0.5s;
}

.animate__fast {
    --animate-duration: 0.8s;
}

.page--hide_icon {
    display: none;
}

.page--nav__search.opened > .page--open_icon {
    display: none;
}

.page--nav__search.opened > .page--hide_icon {
    display: block;
}

[data-controller~='sticky-sidebar'] .inner-wrapper-sticky:before {
    content: '';
    z-index: 9;
    position: absolute;
    width: calc(100% - 0.75rem);
    height: 35px;
    background-image: linear-gradient(rgb(255, 255, 255), rgba(255, 255, 255, 0));
}

.page--title_point {
    top: 0.425rem;
}

.page--footer__link {
    font-size: 0.825rem;
}

.page--footer_title {
    font-size: 0.95rem;
}

.page--channel__card_y_border_around::before {
    right: 0;
    top: 0;
}

.page--channel__card_y_border_around::after {
    left: 0;
    bottom: 0;
}

.page--channel__card_y_border_around::before,
.page--channel__card_y_border_around::after {
    content: "";
    width: 0;
    height: 1px;
    background: var(--color-primary);
    position: absolute;
    transition-delay: 0.2s;
    transition: all 0.2s linear;
}

.page--channel__card_ch:hover .page--channel__card_y_border_around::before,
.page--channel__card_ch:hover .page--channel__card_y_border_around::after {
    transition-delay: 0s;
    width: 100%;
}

.page--channel__card_x_border_around:before {
    left: 0;
    top: 0;
}

.page--channel__card_x_border_around:after {
    right: 0;
    bottom: 0;
}

.page--channel__card_x_border_around::before,
.page--channel__card_x_border_around::after {
    content: "";
    width: 1px;
    height: 0;
    position: absolute;
    transition-delay: 0s;
    transition: all 0.2s linear;
    background: var(--color-primary);
}

.page--channel__card_ch:hover .page--channel__card_x_border_around::before,
.page--channel__card_ch:hover .page--channel__card_x_border_around::after {
    height: 100%;
    transition-delay: 0.2s;
}

.editor_js--table table tbody td {
    word-wrap: break-word;
}

#article_body a {
    color: var(--color-primary);
}

.editor_js--code {
    font-size: 0.75rem;
}

.bg-center {
    margin-top: 50px;
}

.search-container {
    margin-top: 99px;
}

.article-container {
    margin-top: 129px;
}

.column-container {
    margin-top: 129px;
}

/***************************************************************************/


#content table {
    border-collapse: collapse; /* 折叠边框 */
    width: 100%; /* 表格宽度 */
    margin-bottom: 10px; /* 表格下方的间距 */
}

#content table, #content th, #content td {
    border: 1px solid #ddd; /* 表格、表头、单元格边框 */
}

#content th, #content td {
    padding: 4px; /* 表头和单元格内的填充 */
}

#content th {
    text-align: center; /* 文本对齐方式 */
    background-color: #f5f2f0; /* 表头背景颜色 */
    color: #333; /* 表头字体颜色 */
}

/* 通用样式 */
#content pre {
    /* 清除默认的浏览器样式 */
    white-space: pre-wrap; /* 保留空白符序列，但是正常地进行换行 */
    word-wrap: break-word; /* 允许长单词或URL地址被打断换行 */
    background-color: #f4f4f4; /* 背景色 */
    padding: 10px; /* 内边距 */
    border: 1px solid #ddd; /* 边框 */
    border-radius: 4px; /* 边框圆角 */
    overflow-x: auto; /* 横向滚动条（如果内容超出宽度） */
}

/* 特定于<code>的样式 */
#content pre code {
    /* 继承<pre>的一些样式，并添加特定于<code>的样式 */
    display: block; /* 使得<code>成为一个块级元素 */
    color: #333; /* 字体颜色 */
    font-family: monospace, monospace; /* 使用等宽字体 */
    font-size: 14px; /* 字体大小 */
    line-height: 1.5; /* 行高 */
    tab-size: 2; /* Tab键占用的空格数 */
}

a.article_item_list h1, a.article_item_list h2, a.article_item_list h3, a.article_item_list h4, a.article_item_list h5, a.article_item_list h6 {
    margin-top: 0;
    margin-bottom: 0;
    font-size: inherit;
    font-weight: inherit
}

#article_body h1.text-3xl {
    font-weight: 500
}

div.flex-auto > h3.text-2xl {
    font-weight: 500
}

.items-custom-service h4 {
    padding: 8px;
    font-size: 28px;
}

.items-custom-service img {
    width: 37px;
    height: 37px;
}

.items-custom-service a.whitespace-nowrap {
    padding: 16px 22px;
    font-size: 28px;
}


@media screen and (max-width: 767px) {
    .items-custom-service h1 {
        font-size: 30px;
    }

    .items-custom-service h4 {
        font-size: 18px;
    }

    .items-custom-service img {
        width: 30px;
        height: 30px;
    }
    .items-custom-service a.whitespace-nowrap{
        padding: 16px 22px;
        font-size: 20px;
    }
}

#content blockquote {
    background-color: #f5f2f0;
    border-left: 8px solid #B4D5FF;
    display: block;
    font-size: 100%;
    line-height: 1.5;
    margin: 10px 0;
    padding: 10px;
}


.cotainer-article {
    max-width: 100% !important;
    position: relative;

}

.article-flex {
    display: flex;
    margin-left: 250px;
}

.fixed-article {
    position: fixed;

}

.article-overflow {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    width: 200px;
}

.article-right {
    position: fixed;
    right: 50px;

}

.article-center {
    position: relative;
    margin-right: 200px;
}

.native-scroll{
    scroll-margin-top: 95px;
}

.title-author{
    margin-left: 10px;
    margin-right: 10px;
}
.title-update{
    margin-right: 10px;
}

#content table{
word-break:break-all
}

.login-detail .search-group {
    position: relative;
    margin-right: 30px;
}

.login-detail .search-group .search-input {
    padding-right: 28px;
    border: 1px solid #C9CED9;
    border-radius: 4px;
    font-size: 12px;
    padding-left: 10px;
    height: 32px;
    outline: none;
}

.login-detail .search-group i {
    position: absolute;
    top: 50%;
    right: 10px;
    -webkit-transform: translate(0, -50%);
    -moz-transform: translate(0, -50%);
    -ms-transform: translate(0, -50%);
    -o-transform: translate(0, -50%);
    transform: translate(0, -50%);
    color: #C9CED9;
    font-size: 16px;
    z-index: 2;
    cursor: pointer;
}

.search-group .x-icon svg {
    height: 16px;
}

.login-detail .active .search-input {
    border: 1px solid #3296fa;
}

.login-detail .active i {
    color: #3296fa;
}
